Bug 697380 - [l10n] Incomplete translation warnings are not very readable
[l10n] Incomplete translation warnings are not very readable
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 00:09 EDT by Ruediger Landmann
Modified: 2012-10-30 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Warnings on version 2.8 (148.38 KB, image/png)
2012-06-13 21:05 EDT, Hedda Peters
no flags Details
Warnings on version 3.0 (133.80 KB, image/png)
2012-06-13 21:05 EDT, Hedda Peters
no flags Details

  None (edit)
Description Ruediger Landmann 2011-04-18 00:09:45 EDT
Warnings about fuzzy or incomplete strings while building translated content are overly long, reducing their readability and usefulness. These warnings really only need to help translators identify the string in the PO file, so truncating them should still provide enough context to help find them in a PO file.
Comment 1 Jeff Fearn 2011-04-18 01:33:25 EDT
Truncate msgid at 64 characters. Added the PO line number the entry starts on.

NOTE: the line number starts at the very first line of an entry, which is usually a comment of some sort.
Comment 2 Michael Hideo 2012-06-07 21:34:16 EDT
find a partially translated book, or break a translation. build book with publican 2.8 and build with 3.0 and compare output.
Comment 3 Hedda Peters 2012-06-13 21:04:34 EDT
Looks good, particularly PO line numbers should prove helpful.

Screenshots of output for 2.8 and 3.0 are attached for comparison if anyone's interested.
Comment 4 Hedda Peters 2012-06-13 21:05:24 EDT
Created attachment 591685 [details]
Warnings on version 2.8
Comment 5 Hedda Peters 2012-06-13 21:05:49 EDT
Created attachment 591686 [details]
Warnings on version 3.0

Note You need to log in before you can comment on or make changes to this bug.